API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/webspaces/{id}/ftp-users/{fid}

PATCH/v1/webspaces/{id}/ftp-users/{fid}

Update an FTP user

Datenmodell

Diese Operation arbeitet auf der Entität webspace (webspace). Alle 32 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
passwordstring
homeDirstring
permissionsobject
quotaMbinteger
tagsstring[]

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring
fiderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/webspaces/{id}/ftp-users/{fid} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "password": "string",
  "homeDir": "string",
  "permissions": null,
  "quotaMb": 0,
  "tags": []
}'
const result = await cm.webspaces.patch({
  "password": "string",
  "homeDir": "string",
  "permissions": null,
  "quotaMb": 0,
  "tags": []
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche